import type { ZitaldelClient } from './classes.zitadelclient.js';
import * as plugins from './zitadel.plugins.js';

export interface IZitadelUserData {
  id: string;
  lastLogin: Date;
  username: string;
};

export class ZitaldelUser {
  zitadelclientRef: ZitaldelClient;

  constructor(zitadelclientRefArg: ZitaldelClient, dataArg: IZitadelUserData) {
    this.zitadelclientRef = zitadelclientRefArg;
    this.data = dataArg;
  }

  // INSTANCE
  data: IZitadelUserData;
}
